package org.seasar.jsf.template.impl.html;

import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlCommandButton;

import org.seasar.jsf.template.impl.AbstractUICommandFactory;
import org.w3c.dom.Node;

/**
 * @author higa
 *  
 */
public class HtmlCommandButtonFactory extends AbstractUICommandFactory {

	public HtmlCommandButtonFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		HtmlCommandButton component = new HtmlCommandButton();
		setProperties(component);
		return component;
	}
}